// ****************************************************************************
// 
// Copyright (C) 2005-2012  Doom9 & al
// 
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// ****************************************************************************

using System;

namespace MeGUI
{
    public enum OpusMode
    {
        [EnumTitle("VBR")]
        VBR,
        [EnumTitle("Constrained VBR")]
        CVBR,
        [EnumTitle("Hard CBR")]
        HCBR
    }

    public class OpusSettings : AudioCodecSettings
	{
        public static readonly string ID = "OPUS";

        public static readonly OpusMode[] SupportedModes = new OpusMode[] { OpusMode.VBR, OpusMode.CVBR, OpusMode.HCBR };

		public OpusSettings() 
            : base(ID, AudioCodec.OPUS, AudioEncoderType.OPUS, 6, BitrateManagementMode.VBR)
		{
            Mode = OpusMode.VBR;
		}

        private OpusMode mode;
        public OpusMode Mode
        {
            get { return mode; }
            set { mode = value; }
        }
	}
}
