﻿// ****************************************************************************
// 
// Copyright (C) 2005-2012 Doom9 & al
// 
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// ****************************************************************************

using System;
using System.Collections.Generic;
using System.Xml.Serialization;

namespace MeGUI
{
    /// <summary>
    /// Container object for MkvExtract
    /// </summary>
    public class MkvExtractJob : Job
    {
        private List<TrackInfo> _oTracks;
        private string _strOutputPath;

        public MkvExtractJob() 
        {
        }

        public MkvExtractJob(string strInput, string strOutputPath, List<TrackInfo> oTracks)
            : base(strInput, null)
        {
            this._oTracks = oTracks;
            this._strOutputPath = strOutputPath;
        }

        public MkvExtractJob(string strInput, string strOutputPath, List<AudioTrackInfo> oTracks)
            : base(strInput, null)
        {
            this._oTracks = new List<TrackInfo>();
            foreach (AudioTrackInfo oInfo in oTracks)
                this._oTracks.Add((TrackInfo)oInfo);
            this._strOutputPath = strOutputPath;
        }

        public override string CodecString
        {
            get { return "mkvextract"; }
        }

        public override string EncodingMode
        {
            get { return "ext"; }
        }

        public List<TrackInfo> MkvTracks
        {
            get { return _oTracks; }
            set { _oTracks = value; }
        }

        public string OutputPath
        {
            get { return _strOutputPath; }
            set { _strOutputPath = value; }
        }
    }
}